---------------------------------------------------------------------------------------
local PREFIX_PATH = "Data/Textures/GUI/Menu/Anim/start_game/"
---------------------------------------------------------------------------------------
compositionStart = nil
---------------------------------------------------------------------------------------
compositionStart = function()
	local compositionbg = CreateCompositionSequence()
	local compositionDuration = 2.58333333333333
	compositionbg:setDuration(compositionDuration)
	compositionbg:setName("compositionStart" )
	compositionbg:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer R_Ruka_1.png/1
	element = CreateCompositionElement(PREFIX_PATH.."R_Ruka_1.png")
	element:setName("R_Ruka_1.png/1")
	compositionbg:addElement(element)
	element:setHotSpot(117.5, 353.5)
	element:setParentElement(compositionbg)
	element:setRotationRad(0.0264621099691)
 
	effector = element:getEffector()
	effector:setLifeTime(1, 2.58333333333333)
	effector:setKey(_TRACK_X, 1, 1075.53465198043)
	effector:setKey(_TRACK_Y, 1, 963.196308208133)
	effector:setKey(_TRACK_X, 1.20833333333333, 1075.53465198043)
	effector:setKey(_TRACK_Y, 1.20833333333333, 963.196308208133)
	effector:setKey(_TRACK_X, 1.625, 1083.53465198043)
	effector:setKey(_TRACK_Y, 1.625, 1244.19630820813)
	effector:setKey(_TRACK_SX, 1, 1)
	effector:setKey(_TRACK_SY, 1, 1)
	effector:setKey(_TRACK_SX, 1.20833333333333, 1)
	effector:setKey(_TRACK_SY, 1.20833333333333, 1)
	effector:setKey(_TRACK_SX, 1.625, 1.34)
	effector:setKey(_TRACK_SY, 1.625, 1.34)
	effector:play()
 
 
	-- Layer R_Ruka_1.png/2
	element = CreateCompositionElement(PREFIX_PATH.."R_Ruka_1.png")
	element:setName("R_Ruka_1.png/2")
	compositionbg:addElement(element)
	element:setHotSpot(117.5, 353.5)
	compositionbg:registerParentInfo("R_Ruka_1.png/2", "ruchka.png/3")
 
	effector = element:getEffector()
	effector:setLifeTime(0, 1)
	effector:setKey(_TRACK_X, 0, 118)
	effector:setKey(_TRACK_Y, 0, 905)
	effector:setKey(_TRACK_X, 0.33333333333333, 81)
	effector:setKey(_TRACK_Y, 0.33333333333333, 320)
	effector:setKey(_TRACK_SX, 0, 1.88)
	effector:setKey(_TRACK_SY, 0, 1.88)
	effector:setKey(_TRACK_SX, 0.33333333333333, 1)
	effector:setKey(_TRACK_SY, 0.33333333333333, 1)
	effector:play()
 
 
	-- Layer ruchka.png/3
	element = CreateCompositionElement(PREFIX_PATH.."ruchka.png")
	element:setName("ruchka.png/3")
	compositionbg:addElement(element)
	element:setHotSpot(221, 36)
	element:setParentElement(compositionbg)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2.58333333333333)
	effector:setKey(_TRACK_X, 0.54166666666667, 1204)
	effector:setKey(_TRACK_Y, 0.54166666666667, 564)
	effector:setKey(_TRACK_X, 1, 1223)
	effector:setKey(_TRACK_Y, 1, 683)
	effector:setKey(_TRACK_A, 0.54166666666667, 0)
	effector:setKey(_TRACK_A, 1, 0.0264621099691)
	effector:play()
 
 
	-- Layer ruchka_mask.png/4
	element = CreateCompositionElement(PREFIX_PATH.."ruchka_mask.png")
	element:setName("ruchka_mask.png/4")
	compositionbg:addElement(element)
	element:setHotSpot(52, 48)
	element:setParentElement(compositionbg)
	element:setXY(1070, 721)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2.58333333333333)
	effector:play()
 
 
	-- Layer ruchka1.png/5
	element = CreateCompositionElement(PREFIX_PATH.."ruchka1.png")
	element:setName("ruchka1.png/5")
	compositionbg:addElement(element)
	element:setHotSpot(25, 176)
	element:setParentElement(compositionbg)
	element:setXY(1112, 769)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2.58333333333333)
	effector:setKey(_TRACK_SX, 0.54166666666667, 1)
	effector:setKey(_TRACK_SY, 0.54166666666667, 1)
	effector:setKey(_TRACK_SX, 1, 1)
	effector:setKey(_TRACK_SY, 1, 0.64244935965712)
	effector:setKey(_TRACK_A, 0.54166666666667, -0.0007055411651)
	effector:setKey(_TRACK_A, 1, 0.18299585964341)
	effector:play()
 
	compositionbg:play()
 
	return compositionbg
end
 
